/*
 * 作成日: 2003/11/11
 *
 * 設定情報を保持するクラス
 *  
 */
package jp.ne.dti.venus.okazaki.xls2src;

import java.util.HashMap;
import java.util.ArrayList;

/**
 * @author kenichi_okazaki
 *
 * 設定情報を保持するクラス
 * 
 */
public class GeneratorInfo {
	HashMap setting ;
	ArrayList templates ;
	
	/**
	 * 
	 */
	public GeneratorInfo() {
		setting = new HashMap();
		templates = new ArrayList(); 
	}

	public void putSetting(String name,String value){
		setting.put( name,value );
	}
	
	public String getSettingValue(String name){
		return (String)setting.get(name);
	
	}


	public void addTemplate(HashMap template){		
		templates.add(template);
	}

	/**
	 * @return
	 */
	public ArrayList getTemplates() {
		return templates;
	}

	public String toString(){
		String ret="";
		
		for(int i =0 ; i < templates.size() ; i++  ){
			ret = ret + "\n" + templates.get(i).toString();
		}
		
		return setting.toString() + "\n\n" + "[" + templates.size() + "]\n"  +ret;
	
	}
	

}
